import * as ini from "ini";
import * as fs from "fs";
import Logging from "@hibas123/nodelogging";

interface IConfig {
   general: {
      port: string;
      admin: string;
      access_log: boolean;
      dev: boolean
   }
}

const config = ini.parse(fs.readFileSync("config.ini").toString()) as IConfig;
Logging.debug("Config:", config);
export default config;